Page MenuHomePhabricator

MediaViewer attribution metrics
Closed, ResolvedPublic

Description

Migrated from: https://wikimedia.mingle.thoughtworks.com/projects/multimedia/cards/859

Narrative

As a community member, I want to know what percentage of the images can't be automatically attributed by MediaViewer, so that I can verify it does not go against community values.

Acceptance Criteria

  • measure or estimate the number of files for which MediaViewer can display an author.
  • same for source
  • same for license

Related Bugs

Related Stories

#858 MediaViewer attribution usage metrics

Related Changesets

Event Timeline

MingleTerminator raised the priority of this task from to High.Dec 8 2014, 6:46 PM
MingleTerminator added a project: Multimedia.
In mingle on 2014-09-10 at 16:02:46, @Tgr wrote:

I'll need some help with figuring out the right hook + cache invalidation strategy for this. ParserBeforeTidy seems like the best choice, but I'm inexperienced with the parser and couldn't find any documentation on which hook to use when.

In mingle on 2014-09-11 at 08:11:50, @Gilles wrote:

Ask on wikitech-l?

In mingle on 2014-09-16 at 20:04:10, @Tgr wrote:

Blocked on more parser hook questions. Looks like this might require a core patch. WIP patch (using the wrong hook): https://gerrit.wikimedia.org/r/#/c/160580/

In mingle on 2014-09-23 at 09:02:02, @Gilles wrote:

Blocked on the hook debate

In mingle on 2014-09-29 at 19:50:53, @Tgr wrote:

Core patches have been merged.

MingleTerminator closed this task as Resolved.Dec 8 2014, 6:46 PM